org.apache.tomcat.util.net

## Class JIoEndpoint.SocketProcessor

- java.lang.Object
- - org.apache.tomcat.util.net.JIoEndpoint.SocketProcessor

- All Implemented Interfaces:
    Runnable
  Enclosing class:
    JIoEndpoint

      protected class JIoEndpoint.SocketProcessor
      extends Object
      implements Runnable

  This class is the equivalent of the Worker, but will simply use in an external Executor thread pool.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected SocketWrapper<Socket>` | `socket`
    `protected SocketStatus` | `status`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JIoEndpoint.SocketProcessor(SocketWrapper<Socket> socket)`
    `JIoEndpoint.SocketProcessor(SocketWrapper<Socket> socket, SocketStatus status)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `run()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### socket

          protected SocketWrapper<Socket> socket

    - #### status

          protected SocketStatus status

  - ### Constructor Detail

    - #### JIoEndpoint.SocketProcessor

          public JIoEndpoint.SocketProcessor(SocketWrapper<Socket> socket)

    - #### JIoEndpoint.SocketProcessor

          public JIoEndpoint.SocketProcessor(SocketWrapper<Socket> socket,
                                     SocketStatus status)

  - ### Method Detail

    - #### run

          public void run()

      Specified by:
        `run` in interface `Runnable`

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.